
#ifndef TN_ENUM_TO_STRING_H
#define TN_ENUM_TO_STRING_H

#include <string>
#include "ITnMapEngine.h"
#include "TnTileDataTypes.h"

class TnEnumToString
{
public:
    static const char * toString(ITnMapEngine::eInteractionMode interactionMode);
    static const char * toString(ITnMapEngine::eRenderingMode renderingMode);
    static const char * toString(ITnMapEngine::eOrientation orientation);
    static const char * toString(ITnMapEngine::eTouchEvent touchEvent);
    static const char * toString(ITnMapEngine::eEvent api);
    static const char * toString(ITnMapEngine::eParameterBool paramBool);
    static const char * toString(ITnMapEngine::eParameterDouble paramDouble);
    static const char * toString(ITnMapEngine::eParameterString paramString);
    static const char * toString(ITnMapEngine::eParameterBinary paramBinary);
    static const char * toString(ITnMapEngine::eRasterEnable rasterEnableEnum);
    static const char * toString(eTileDataType tileDataType);
    
    
    //Gives you the full JSON string needed for this enum
    static const char * toJSONLocation(ITnMapEngine::eParameterBool paramBool);
    static const char * toJSONLocation(ITnMapEngine::eParameterDouble paramDouble);
    static const char * toJSONLocation(ITnMapEngine::eParameterString paramString);
    static const char * toJSONLocation(ITnMapEngine::eParameterBinary paramBinary);
    static const char * toJSONLocation(ITnMapEngine::eRasterEnable rasterType);
};


#endif // TN_ENUM_TO_STRING_H
